summaryrefslogtreecommitdiffstats
path: root/desktop/awesome/awesome.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/awesome/awesome.SlackBuild')
-rw-r--r--desktop/awesome/awesome.SlackBuild18
1 files changed, 11 insertions, 7 deletions
diff --git a/desktop/awesome/awesome.SlackBuild b/desktop/awesome/awesome.SlackBuild
index 2460117239..b0e7e33c53 100644
--- a/desktop/awesome/awesome.SlackBuild
+++ b/desktop/awesome/awesome.SlackBuild
@@ -5,7 +5,7 @@
# Written by Chess Griffin <chess@chessgriffin.com>
PRGNAM=awesome
-VERSION=${VERSION:-2.3.4}
+VERSION=${VERSION:-2.3.6}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -15,13 +15,15 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -43,19 +45,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
- --docdir=/usr/doc/awesome-$VERSION \
--mandir=/usr/man \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --docdir=/usr/doc/awesome-$VERSION \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man